DEVELOPER

Merchant Boarding API Specification

Version 1.50.2

production
sandbox

Lookups

Lookup list section

Get Application Data

get /enroll/search

Get application data for all applications created using the authenticated client key. Results are returned in descending order of the application’s creation timestamp. Users can optionally pass query parameters to assist when navigating the results. For example, if a user has created 30 applications and wishes to view applications 21 to 30, set pageSize to 10 and pageNumber to 3.

The following is an example of a URL with the pageNumber, pageSize, and findBy query parameters:
https://boarding-api.paymentshub.com/enroll/search?pageNumber=3&pageSize=10&findBy=byAgent:12345,submission:open

Parameters
pageNumber
Type
integer
Default
1
Range
1 to 999999999999999
Example
pageNumber=3

Loading...

pageSize
Type
integer
Default
100
Range
1 to 100
Example
pageSize=10

Loading...

findBy
Type
string
Example
findBy=byAgent:12345,submission:open

Loading...

Example Response
200 Successful search results with non-empty data result.
400 Bad Request response for JSON search complete application.
403 Forbidden response.
500 Internal Server Error response.

Get List of Document Types

get /enroll/document/type/list

This endpoint is used to retrieve a list of all available document types that can be attached to an application.

Example Response
200 Returns list of available document types

Get Application Plan Details by Agent

get /enroll/plan/list-all-by-agent/{agentId}

List all application plans and their details available to an agent by agent ID.

Parameters
agentId required
Type
integer
Example
12345

Loading...

Example Response
200 Return list of all application plans and their details.
400 Bad request error response
403 Invalid agent client affiliation response

Get Agent Groups by Agent ID

get /enroll/agent/{agentId}/group/list

Get a list of all agent groups by agent ID.

Parameters
agentId required
Type
integer
Example
12345

Loading...

Example Response
200 Returns a list of all agent group related details.
403 Invalid agent client affiliation response.
422 Unprocessable entity error response.
500 Internal server error response.

Get List of Merchant Category Codes

get /enroll/mcc/list

Get a list of all Merchant Category Codes with details.

Example Response
200 Returns list of all Merchant Category Codes and details.
404 Unable to retrieve merchant category codes list and details.

Get Bank Details

get /enroll/bank/details/aba-routing/{abaRouting}

Get bank related details by ABA routing number.

Parameters
abaRouting required
Type
string
Pattern
^\d{9}$
Range
9 to 9 characters
Example
00000001

Loading...

Example Response
200 Return bank details by ABA routing number
401 Unauthorized response - Need authorized permission to access the resource
422 Unprocessable entity error response

Get Surcharge Rates

get /enroll/lookup/pricing/surcharge-table

Get Surcharge Rates Lookup by Industry Type.

Parameters
industryType required
Type
string
Enum
internetmotorestaurantretail
Example
restaurant

Loading...

Example Response
200 Returns Surcharge Table Lookup By Industry Type
400 Bad Request.
401 Unauthorized response - Need authorized permission to access the resource.
500 Internal server error response.

Get Hierarchy By Agent ID

get /enroll/lookup/epx-hierarchy/agent/{agentId}

Retrieves the merchant account hierarchy details for a specific agent. This endpoint provides structured division and corporate entity relationship data mapped under the customer account associated with the provided agent identifier.

Note: Access to this endpoint is restricted and only applicable for certain partners. Please contact us for more information regarding eligibility and onboarding.

Parameters
agentId required
Type
integer
Example
12345

Loading...

Example Response
200 Returns Hierarchy Details By Agent ID
401 Unauthorized response - Need authorized permission to access the resource.
403 Forbidden - Agent is not affiliated to client token.
422 Unprocessable entity error response.
©2026 North is a registered DBA of NorthAB, LLC. All rights reserved. North is a registered ISO of BMO Bank N.A., Chicago, IL, Citizens Bank N.A., Providence, RI, The Bancorp Bank, Philadelphia, PA, FFB Bank, Fresno, CA, and PNC Bank, N.A. Pittsburgh, PA. North is a registered ISO/MSP of Merrick Bank, South Jordan, UT.